Skip to main content
GET
/
v1
/
owners
List Owners
curl --request GET \
  --url https://api.example.com/v1/owners
{
  "object": "list",
  "data": [
    {
      "id": "own_abc123",
      "name": "Apple Inc.",
      "country_code": "US",
      "trademark_count": 1847,
      "registered_count": 1203
    }
  ],
  "has_more": true,
  "pagination": {
    "cursor": "eyJpZCI6ImFiYyJ9"
  },
  "livemode": true,
  "request_id": "req_xyz789"
}

Query Parameters

limit
integer
default:"20"
Items per page (max 100)
cursor
string
Pagination cursor from previous response
country_code
string
Filter by country code (ISO 3166-1 alpha-2)
q
string
Search by owner name

Response

{
  "object": "list",
  "data": [
    {
      "id": "own_abc123",
      "name": "Apple Inc.",
      "country_code": "US",
      "trademark_count": 1847,
      "registered_count": 1203
    }
  ],
  "has_more": true,
  "pagination": {
    "cursor": "eyJpZCI6ImFiYyJ9"
  },
  "livemode": true,
  "request_id": "req_xyz789"
}